<?php
    /*
    * @version      5.3.0 24.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    include_once __DIR__ . '/item_controller.php';
    
    class JomGalleryControllerConfig extends JomGalleryItemController {
        
        public function display($cachable = false, $urlparams = false) {
            $view       = $this->getView('config', JFactory::getDocument()->getType(), '', array());
            $model      = $this->getModel('config');
            $form       = $model->getForm();
            $form->item = $model->loadFormData();
            $view->assign('sidebar', $model->get_sidebar());
            $view->assign('form', $form);
            $view->display();
        }
        
        public function apply() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            
            $model = $this->getModel('config');
            
            if( !$model->check_required_fields() ) {
                JFactory::getApplication()->redirect( JRoute::_($_SERVER['REQUEST_URI']) );
            }
            
            $model->save_settings();
            JomGalleryHelper::clear_tmp();
        }
        
    }
?>