<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryControllerGalleries extends JControllerAdmin {
        
        function display($cachable = false, $urlparams = false) {
            $modal = (isset($_GET['layout']) && $_GET['layout'] === 'modal') ? true : false;
            $view = $this->getView('galleries', JFactory::getDocument()->getType(), '', array());
            $model = $this->getModel('galleries');
            if(!$modal) $view->assign('sidebar', $model->get_sidebar());
            $view->assign('modal', $modal);
            $view->assign('items', $model->getItems());
            $view->assign('ordering', $model->from_table_to_contr->ordering);
            $view->assign('filter_order', $model->from_table_to_contr->filter_order);
            $view->assign('filter_order_dir', $model->from_table_to_contr->filter_order_dir);
            $view->assign('fullordering', $model->from_table_to_contr->fullordering);
            $view->assign('filterForm', $model->getFilterForm());
            $view->assign('activeFilters', $model->from_table_to_contr->active_filters);
            $view->assign('pagination', $model->getPagination());
            $view->display();
        }
        
        public function add() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            JFactory::getApplication()->redirect(JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=gallery'));
        }
        
        public function edit() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            JFactory::getApplication()->redirect(JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=gallery&id=' . intval($_POST['cid'][0])));
        }
        
        public function publish() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            $this->name = 'gallery';
            $this->option = $this->option . '&controller=galleries';
            $this->text_prefix = $this->text_prefix . '_GALLERY_MSG';
            parent::publish();
        }
        
        public function saveOrderAjax() {
            $this->name = 'gallery';
            parent::saveOrderAjax();
        }
        
        public function remove() {
            JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
            $ids = JFactory::getApplication()->input->get('cid', array(), 'array');
            $this->getModel('galleries')->delete_galleries($ids);
            JFactory::getApplication()->redirect(JRoute::_(JURI::base() . 'index.php?option=com_jomgallery&controller=galleries'));
        }
        
    }
?>