<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldOrderingGalleries extends JFormFieldList {
        
        protected $type = 'OrderingGalleries';
        
        protected function getOptions() {
            $db = JFactory::getDbo();
            $query = $db->getQuery(true)
                    ->select('id AS value, name_' . JomGalleryHelper::get_langsef() . ' AS text')
                    ->from('#__jomgallery_galleries')
                    ->order('ordering ASC');
            $db->setQuery($query);
            $options = $db->loadObjectList();
            $options = array_merge(
                array(array('value' => '-1', 'text' => JText::_('COM_JOMGALLERY_ORDER_FIRST'))),
                $options,
                array(array('value' => '-2', 'text' => JText::_('COM_JOMGALLERY_ORDER_LAST')))
            );
            return $options;
        }
        
        protected function getInput() {
            return ($this->form->getValue('id', 0) == 0) ? '<span class="readonly">' . JText::_('COM_JOMGALLERY_ORDER_NO') . '</span>' : parent::getInput();
        }
        
    }
?>