<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldParentPicGalleries extends JFormFieldList {
        
        protected $type = 'ParentPicGalleries';
        
        protected function getOptions() {
            $db = JFactory::getDbo();
            $query = $db->getQuery(true)
                    ->select('id AS value, name_' . JomGalleryHelper::get_langsef() . ' AS text')
                    ->from('#__jomgallery_galleries')
                    ->order('ordering ASC');
            $db->setQuery($query);
            $options = $db->loadObjectList();
            $options = array_merge(parent::getOptions(), $options);
            return $options;
        }
        
    }
?>