<?php
    /*
    * @version      5.3.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    include_once __DIR__ . '/jomgallery.php';
    
    class TableConfig extends TableJomgallery {
        
        function __construct(&$db) {
            parent::__construct('#__jomgallery_config', 'id', $db);
        }
        
        public function tback_get_config() {
            $query = $this->_db->getQuery(true)
                    ->select('*')
                    ->from($this->_tbl);
            $this->_db->setQuery($query);
            $config = $this->_db->loadObject();
            $config->extensions = explode(',', $config->extensions);
            $config->extensions[] = ( in_array('jpeg', $config->extensions) && !in_array('jpg', $config->extensions) ) ? 'jpg' : 'jpeg';
            return $config;
        }
        
        public function tfront_get_jomgallery() {
            $query = $this->_db->getQuery(true)
                ->select('
                    metatitle_' . $this->langsef . ' AS metatitle,
                    metakey_' . $this->langsef . ' AS metakey,
                    metadesc_' . $this->langsef . ' AS metadesc'
                )
                ->from($this->_tbl);
            $this->_db->setQuery($query);
            return $this->_db->loadObject();
        }
        
    }
?>