<?php
    /*
    * @version      5.3.0 22.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JHtml::_('behavior.formvalidation');
    JHtml::_('formbehavior.chosen', 'select');
    
    $item = $this->item;
?>
<script>
    Joomla.submitbutton = function(task) {
        if (task == 'cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
            Joomla.submitform(task, document.getElementById('adminForm'));
        }
    }
</script>
<form name="adminForm" id="adminForm" class="form-validate" method="post" action="">
    <?php echo JLayoutHelper::render('layouts.mlg_title_alias', $this, JPATH_COMPONENT_ADMINISTRATOR); ?>
    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'basic')); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'basic', JText::_('COM_JOMGALLERY_BASIC', true)); ?>
                <div class="row-fluid">
                    <div class="span9">
                        <?php echo $this->form->renderFieldset('basic'); ?>
                    </div>
                    <div class="span3">
                        <fieldset class="form-vertical">
                            <?php echo $this->form->renderFieldset('general'); ?>
                        </fieldset>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'publishing', JText::_('JGLOBAL_FIELDSET_PUBLISHING', true)); ?>
                <div class="row-fluid form-horizontal-desktop">
                    <div class="span6">
                        <?php echo $this->form->renderFieldset('publishing'); ?>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'metadata', JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS', true)); ?>
                <div class="row-fluid form-horizontal-desktop">
                    <div class="span6">
                        <?php echo $this->form->renderFieldset('metadata'); ?>
                    </div>
                </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
        <?php echo JHtml::_('bootstrap.endTabSet'); ?>
    </div>
    <input type="hidden" name="task" value="">
    <?php echo JHtml::_('form.token'); ?>
</form>
<script>
    (function($) {
        if( typeof ddupimg !== 'undefined' ) {
            var remove_orig = ddupimg.remove;
            ddupimg.remove = function(e, url) {
                $('#jform_cover_filename').val('');
                remove_orig(e, url);
            }
        }
    })(jQuery);
</script>