<?php
    /*
    * @version      5.3.0 14.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryControllerGallery extends JControllerLegacy {
        
        function display($cachable = false, $urlparams = false) {
            $model = $this->getModel('gallery');
            if( !$gallery = $model->get_gallery() ) {
                return JError::raiseError(404, JText::_('COM_JOMGALLERY_GALLERY_NOT_FOUND'));
            }
            if( !in_array($gallery->access, JFactory::getUser()->getAuthorisedViewLevels()) ) {
                return JError::raiseError(403, JText::_('JERROR_ALERTNOAUTHOR'));
            }
            
            $gallery->hits = $model->add_hits($gallery);
            $view = $this->getView('gallery', JFactory::getDocument()->getType(), '', array());
            $view->assign('gallery', $gallery);
            $view->assign('subgalleries', $this->getModel('galleries')->get_galleries($gallery->id));
            $view->assign('pictures', $model->get_pictures($gallery->id));
            $view->display();
        }
        
    }
?>