<?php
    /*
    * @version      5.3.0 24.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    include_once JPATH_COMPONENT_SITE . '/helpers/jgconfig.php';
    include_once JPATH_COMPONENT_SITE . '/helpers/jomgallery.php';
    
    $jinp            = JFactory::getApplication()->input;
    $controller      = $jinp->getCmd('controller', 'galleries');
    $controller_file = JPATH_COMPONENT_SITE . '/controllers/' . $controller . '.php';
    file_exists($controller_file) ? require_once($controller_file) : JError::raiseError(403, JText::_('Access Forbidden'));
    $classname       = 'JomGalleryController' . $controller;
    $controller      = new $classname();
    $controller->execute( $jinp->get('task') );
    $controller->redirect();