<?php
    /*
    * @version      5.3.0 14.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryControllerDdup extends JControllerLegacy {
        
        public function __construct($config = array()) {
            parent::__construct($config);
        }
        
        public function xhr_files_upload() {
            if(empty($_FILES['jform']['tmp_name'][0])) exit;
            
            //save tmp files and change them addresses in $_FILES 'tmp_names':
            $tmp_dir = JGConfig::_('dirpath_tmp');
            JFolder::create($tmp_dir);
            foreach($_FILES['jform']['tmp_name'] as $i => $src) {
                $dest = $tmp_dir . '/' . basename($src);
                JFile::copy($src, $dest);
                $_FILES['jform']['tmp_name'][$i] = $dest;
            }
            
            //convert $_FILES to Joomla's standart:
            //*do not use $jinput->files->get('jform') coz it returns null if errors exist
            $res = array();
            foreach($_FILES['jform'] as $prop => $arrvals) {
                if(count($arrvals) == 1) $arrvals = array_shift($arrvals);
                $res[$prop] = array(JGConfig::_('files_arrname') => $arrvals);
            }
            
            exit( json_encode($res) );
        }
        
        public function fill_files_array($controller) {
            if(
                empty($_POST['jform']) ||
                ( !$model = $this->getModel($controller) ) ||
                !is_subclass_of($model, 'JomGalleryModelItem_Model')
            ) return;

            $form   = $model->getForm();
            $xml    = $form->getXml();
            $fields = $xml->xpath('//field');

            foreach($fields as $field) {
                if( (string) $field['type'] == 'ddup' ) {
                    $varname = 'ddup_' . (string) $field['name'];
                    if( empty($_POST['jform'][$varname]) ) continue;
                    
                    $_FILES[$varname] = json_decode($_POST['jform'][$varname], true);
                }
            }
        }
        
    }