<?php
    /*
    * @version      5.3.1 29.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    if( !JFactory::getUser()->authorise('core.manage', 'com_jomgallery' )) {
        return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
    }

    JHtml::_('behavior.tabstate');
    jimport('joomla.filesystem.file');
    jimport('joomla.filesystem.folder');
    include_once JPATH_COMPONENT_SITE . '/helpers/jgconfig.php';
    include_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/file.php';
    include_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/jomgallery.php';

    $jinp            = JFactory::getApplication()->input;
    $controller      = $jinp->getCmd('controller', 'galleries');
    $controller_file = JPATH_COMPONENT_ADMINISTRATOR . '/controllers/' . $controller . '.php';
    file_exists($controller_file) ? require_once($controller_file) : JError::raiseError(403, JText::_('Access Forbidden'));

    include_once JPATH_COMPONENT_ADMINISTRATOR . '/controllers/ddup.php';
    $controller_ddup = new JomGalleryControllerDdup();
    $controller_ddup->fill_files_array($controller);

    if( !empty( $_POST['jform'] ) ) {
        function trim_all($var) {
            if( is_array($var) ) {
                foreach($var as $k => $v) $var[$k] = trim_all($v);
            }
            else $var = trim($var);
            return $var;
        }
        foreach($_POST['jform'] as $k => $v) $jinp->set($k, trim_all($v));
    }

    $classname       = 'JomGalleryController' . $controller;
    $controller      = new $classname();
    $controller->execute( $jinp->get('task') );
    $controller->redirect();