<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldAuthorGallGalleries extends JFormFieldList {
        
        protected $type = 'AuthorGallGalleries';
        protected static $options = array();
        
	protected function getOptions() {
            $hash = md5($this->element);
            if(!isset(static::$options[$hash])) {
                static::$options[$hash] = parent::getOptions();
                $options = array();
                $db = JFactory::getDbo();
                $query = $db->getQuery(true)
                            ->select('u.id AS value, u.name AS text')
                            ->from('#__users AS u')
                            ->join('INNER', '#__jomgallery_galleries AS g ON g.created_by = u.id')
                            ->group('u.id, u.name')
                            ->order('u.name');
                $db->setQuery($query);
                if ($options = $db->loadObjectList()) {
                    static::$options[$hash] = array_merge(static::$options[$hash], $options);
                }
            }
            return static::$options[$hash];
        }
    }