<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldFilteringGallGalleries extends JFormFieldList {
        
        protected $type = 'FilteringGallGalleries';
        
        protected function getOptions() {
            $db = JFactory::getDbo();
            $langsef = JomGalleryHelper::get_langsef();
            $query = $db->getQuery(true)
                    ->select('g.parent_id AS value, pg.name_' . $langsef . ' AS text')
                    ->from('#__jomgallery_galleries AS g')
                    ->innerJoin('#__jomgallery_galleries AS pg ON pg.id = g.parent_id AND g.parent_id != 0')
                    ->group('g.parent_id')
                    ->order('pg.name_' . $langsef . ' ASC');
            $db->setQuery($query);
            $options = $db->loadObjectList();
            $options = array_merge(parent::getOptions(), $options);
            return $options;
        }
        
    }
?>