<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldFilteringPicGalleries extends JFormFieldList {
        
        protected $type = 'FilteringPicGalleries';
        
        protected function getOptions() {
            $db = JFactory::getDbo();
            $langsef = JomGalleryHelper::get_langsef();
            $query = $db->getQuery(true)
                    ->select('g.id AS value, g.name_' . $langsef . ' AS text')
                    ->from('#__jomgallery_galleries AS g')
                    ->innerJoin('#__jomgallery_pictures AS p ON p.parent_id = g.id')
                    ->group('g.id')
                    ->order('g.ordering ASC');
            $db->setQuery($query);
            $options = $db->loadObjectList();
            $options = array_merge(parent::getOptions(), $options);
            return $options;
        }
        
    }
?>