<?php
    /*
    * @version      5.2.0 16.12.2015
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JFormHelper::loadFieldClass('list');
    
    class JFormFieldParentGallGalleries extends JFormFieldList {
        
        protected $type = 'ParentGallGalleries';
        
        protected function getOptions() {
            $db = JFactory::getDbo();
            $jinp = JFactory::getApplication()->input;
            $id = $jinp->getInt('id');
            if($id) {
                $table = JTable::getInstance($type = 'Galleries', $prefix = 'Table', $config = array());
                $progeny = $table->tback_get_progeny($id);
            }
            $query = $db->getQuery(true)
                    ->select('id AS value, name_' . JomGalleryHelper::get_langsef() . ' AS text')
                    ->from('#__jomgallery_galleries')
                    ->where($id ? 'id NOT IN(' . implode(',', $progeny) . ')' : 1)
                    ->order('ordering ASC');
            $db->setQuery($query);
            $options = $db->loadObjectList();
            $options = array_merge(parent::getOptions(), $options);
            return $options;
        }
        
    }
?>