-- @version      5.3.0 22.02.2016
-- @author       MAXXmarketing GmbH
-- @package      JomGallery
-- @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
-- @license      Open Source License, GNU/GPL

CREATE TABLE IF NOT EXISTS `#__jomgallery_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `languages` varchar(255) NOT NULL,
  `extensions` varchar(255) NOT NULL,
  `gall_thumb_height` int(11) NOT NULL,
  `gall_thumb_width` int(11) NOT NULL,
  `gall_middle_height` int(11) NOT NULL,
  `gall_middle_width` int(11) NOT NULL,
  `gall_full_height` int(11) NOT NULL,
  `gall_full_width` int(11) NOT NULL,
  `gall_nocover_filename_thumb` varchar(255) NOT NULL,
  `gall_nocover_filename_middle` varchar(255) NOT NULL,
  `pic_thumb_width` int(11) NOT NULL,
  `pic_thumb_height` int(11) NOT NULL,
  `pic_middle_width` int(11) NOT NULL,
  `pic_middle_height` int(11) NOT NULL,
  `pic_full_width` int(11) NOT NULL,
  `pic_full_height` int(11) NOT NULL,
  `watermark_on_gallery` int(11) NOT NULL,
  `watermark_on_picture` int(11) NOT NULL,
  `watermark_filename` varchar(255) NOT NULL,
  `watermark_location` varchar(255) NOT NULL,
  `watermark_indent` int(11) NOT NULL,
  `metatitle_en` varchar(255) NOT NULL,
  `metakey_en` text NOT NULL,
  `metadesc_en` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jomgallery_config` (`id`, `languages`, `extensions`, `gall_thumb_height`, `gall_thumb_width`, `gall_middle_height`, `gall_middle_width`, `gall_full_height`, `gall_full_width`, `gall_nocover_filename_thumb`, `gall_nocover_filename_middle`, `pic_thumb_width`, `pic_thumb_height`, `pic_middle_width`, `pic_middle_height`, `pic_full_width`, `pic_full_height`, `watermark_on_gallery`, `watermark_on_picture`, `watermark_filename`, `watermark_location`, `watermark_indent`, `metatitle_en`, `metakey_en`, `metadesc_en`) VALUES
(1, 'en', 'gif,jpeg,png', 100, 100, 250, 250, 1000, 1000, 'no_cover.png', 'no_cover.png', 100, 100, 250, 250, 1000, 1000, 0, 0, 'watermark.png', 'left_top', 25, '', '', '');



CREATE TABLE IF NOT EXISTS `#__jomgallery_galleries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name_en` varchar(255) NOT NULL,
  `alias_en` varchar(255) NOT NULL,
  `cover_filename` varchar(255) NOT NULL,
  `cover_alt_en` varchar(255) NOT NULL,
  `description_short_en` text NOT NULL,
  `description_en` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `access` tinyint(1) NOT NULL,
  `hits` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `metatitle_en` varchar(255) NOT NULL,
  `metakey_en` text NOT NULL,
  `metadesc_en` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `#__jomgallery_pictures` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name_en` varchar(255) NOT NULL,
  `alias_en` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `alt_en` varchar(255) NOT NULL,
  `description_en` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `access` tinyint(1) NOT NULL,
  `hits` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `geolocation` tinyint(1) NOT NULL,
  `geoname` varchar(255) NOT NULL,
  `geoname_full` varchar(255) NOT NULL,
  `geolatitude` float(15,7) NOT NULL,
  `geolongitude` float(15,7) NOT NULL,
  `geozoom` tinyint(2) NOT NULL,
  `geopov` varchar(255) NOT NULL,
  `metatitle_en` varchar(255) NOT NULL,
  `metakey_en` text NOT NULL,
  `metadesc_en` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;