<?php
    /*
    * @version      5.3.0 14.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restrixcted access');
    
    JHtml::_('behavior.formvalidation');
    JHtml::_('formbehavior.chosen', 'select');
?>
<style>
    #adminForm .control-label .star {
        display: none;
    }
</style>
<script>
    Joomla.submitbutton = function(task) {
        if(document.formvalidator.isValid(document.id('adminForm'))) {
            if(task == 'apply') {
                var form = jQuery('#adminForm');
                form.find('input[name=task]').val(task);
                form.submit();
            }
            else Joomla.submitform(task);
        }
    }
</script>
<form name="adminForm" id="adminForm" class="form-horizontal form-validate" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo JGConfig::_('max_file_size'); ?>" />
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'basic')); ?>

            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'basic', JText::_('COM_JOMGALLERY_BASIC')); ?>
                <legend><?php echo JText::_('COM_JOMGALLERY_CONFIG_BASIC_LEGEND'); ?></legend>
                <?php echo $this->form->renderFieldset('basic'); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>
                
            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'galleries', JText::_('COM_JOMGALLERY_GALLERIES')); ?>
                <legend><?php echo JText::_('COM_JOMGALLERY_CONFIG_GALLERIES_LEGEND'); ?></legend>
                <?php echo $this->form->renderFieldset('galleries'); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>

            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'pictures', JText::_('COM_JOMGALLERY_PICTURES')); ?>
                <legend><?php echo JText::_('COM_JOMGALLERY_CONFIG_PICTURES_LEGEND'); ?></legend>
                <?php echo $this->form->renderFieldset('pictures'); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>

            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'watermark', JText::_('COM_JOMGALLERY_CONFIG_WATERMARK', true)); ?>
                <legend><?php echo JText::_('COM_JOMGALLERY_CONFIG_WATERMARK_LEGEND', true); ?></legend>
                <?php echo $this->form->renderFieldset('watermark'); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>

            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'metadata', JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS', true)); ?>
                <legend><?php echo JText::_('COM_JOMGALLERY') . ' ' . JText::_('JGLOBAL_FIELDSET_METADATA_OPTIONS', true); ?></legend>
                <?php echo $this->form->renderFieldset('metadata'); ?>
            <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>
    </div>
    <input type="hidden" name="task" value="">
    <?php echo JHtml::_('form.token'); ?>
</form>