<?php
    /*
    * @version      5.3.0 22.02.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    class Com_jomgalleryInstallerScript {

        public function install($parent) {
            $src = __DIR__ . '/jomgallery';
            $dest = JPATH_ROOT . '/images/jomgallery';
            JFolder::copy($src, $dest);
        }
        
        public function postflight($type, $parent) {
            
            switch($type) {
                case 'install':
                    include_once JPATH_ADMINISTRATOR . '/components/com_jomgallery/helpers/jomgallery.php';
                    $langsefs = array_keys( JomGalleryHelper::get_langs('sef') );
                    JomGalleryHelper::add_lang($langsefs);
                    
                    $db = JFactory::getDbo();
                    $db->setQuery("UPDATE `#__extensions` SET `enabled` = 1 WHERE `type` LIKE 'plugin' AND `folder` LIKE 'system' AND `element` LIKE 'jomgallery_content_languages'");
                    $db->execute();
                break;
            }
            
        }

        public function uninstall($parent) {
            JFolder::delete(JPATH_ROOT . '/images/jomgallery');
        }
        
    }