<?php
    /*
    * @version      1.0.1 29.03.2016
    * @author       MAXXmarketing GmbH
    * @package      plg_jomgallery_content_languages
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    include_once JPATH_ADMINISTRATOR . '/components/com_jomgallery/helpers/jomgallery.php';

    class plgSystemJomgallery_content_languages extends JPlugin {
        
        private $_lang_before_update;
        
        public function onExtensionBeforeSave($context, &$table, $isNew) {
            if( ($context != 'com_languages.language') || $isNew ) return;

            $langs = JomGalleryHelper::get_langs('id');
            $this->_lang_before_update = $langs[ $table->lang_id ];
        }
        
        public function onExtensionAfterSave($context, &$table, $isNew) {
            if( $context != 'com_languages.language' ) return;

            $isNew ? JomGalleryHelper::add_lang($table->sef) : JomGalleryHelper::update_lang($this->_lang_before_update->sef, $table->sef);
        }

    }