<?php
    /*
    * @version      5.3.0 14.01.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    class JomGalleryControllerPicture extends JControllerLegacy {
        
        function display($cachable = false, $urlparams = false) {
            $model = $this->getModel('picture');
            if( !$picture = $model->get_picture() ) {
                return JError::raiseError(404, JText::_('COM_JOMGALLERY_PICTURE_NOT_FOUND'));
            }
            if( !in_array($picture->access, JFactory::getUser()->getAuthorisedViewLevels()) ) {
                return JError::raiseError(403, JText::_('JERROR_ALERTNOAUTHOR'));
            }
            
            $picture->hits = $model->add_hits($picture);
            $view = $this->getView('picture', JFactory::getDocument()->getType(), '', array());
            $view->assign('picture', $picture);
            $view->display();
        }
        
    }
?>
