<?php
    /*
    * @version      5.3.0 09.03.2016
    * @author       MAXXmarketing GmbH
    * @package      JomGallery
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    
    JHtml::_('jquery.framework');
    JHtml::_('bootstrap.framework');
    JHtml::stylesheet('components/com_jomgallery/css/jomgallery.css');
    JHtml::script('components/com_jomgallery/js/imageloader.js');
    JFactory::getDocument()->addScriptDeclaration("jQuery(document).ready(function($) { $('.jomgall .prevlist li a img').imageloader(); });");
    
    $bcrumbs = JomGalleryHelperFront::get_bcrumbs();
    
    JomGalleryHelperFront::set_metadata($this->jomgallery);
?>
<div class="jomgall">
    <?php if(empty($this->galleries)): ?>
        <h3><?php echo JText::_('COM_JOMGALLERY_GALLERIES_NONE'); ?></h3>
    <?php else: ?>
        <ul class="breadcrumbs">
            <?php foreach($bcrumbs as $crumb): ?>
                <li>
                    <a href="<?php echo JRoute::_($crumb->link); ?>"><?php echo $crumb->name; ?></a>
                </li>
            <?php endforeach; ?>
        </ul>
        <ul class="prevlist">
            <?php foreach($this->galleries as $item): ?><?php
            ?><li>
                <a href="<?php echo JRoute::_('index.php?option=com_jomgallery&controller=gallery&id=' . $item->id); ?>">
                    <img src="<?php echo JUri::root() . JGConfig::_('dirs_galls')->middles . ($item->cover_filename ? $item->cover_filename : JGConfig::_('gall_nocover_filename_middle')); ?>" alt="<?php echo $item->cover_alt; ?>">
                </a>
                <div>
                    <div>
                        <h2><?php echo $item->name; ?></h2>
                    </div>
                    <div>
                        <span><?php echo $item->description_short ? $item->description_short : '...'; ?></span>
                    </div>
                </div>
            </li><?php
            ?><?php endforeach; ?>
        </ul>
    <?php endif; ?>
    <?php echo JGConfig::_('signature'); ?>
</div>